%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Gets a file from a FTP, GOPHER or HTTP server
Name:		curl
Epoch:		1
Version:	7.54.0
Release:	%mkrel 1
License:	BSD-like
Group:		Networking/Other
URL:		http://curl.haxx.se
Source0:	http://curl.haxx.se/download/%{name}-%{version}.tar.lzma
Source1:	http://curl.haxx.se/download/%{name}-%{version}.tar.lzma.asc
Patch4:		%{name}-7.30.0-multilib.patch
Patch7:		%{name}-7.36.0-debug.patch
BuildRequires:	groff-for-man
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libssh2-devel
BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
#BuildRequires:	c-ares-devel
# (misc) required for testing
BuildRequires:	stunnel
BuildRequires:  pkgconfig(libnghttp2) >= 1.7.1
Provides:	webfetch
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

This version is compiled with SSL (https) support.

%package -n	%{libname}
Summary:	A library of functions for file transfer
Group:		Networking/Other
Requires:	rootcerts >= 1:20070713.00

%description -n	%{libname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you plan to use any applications that
use libcurl.

%package -n	%{develname}
Summary:	Header files and static libraries for libcurl
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libcurl%{major}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname %{name} 4 -d
Provides:	%mklibname %{name} 4 -d

%description -n	%{develname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you wish to develop applications that
use libcurl.

%package	examples
Summary:	Example files for %{name} development
Group:		Development/C
BuildArch:	noarch
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description	examples
Example files for %{name} development.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fiv

%configure2_5x \
	--disable-static \
	--with-ssl \
	--without-gnutls \
	--with-zlib \
	--with-lber-lib=lber \
	--with-ssh2 \
	--with-random \
	--enable-hidden-symbols \
	--enable-optimize \
	--enable-nonblocking \
	--enable-thread \
	--enable-crypto-auth \
	--enable-libgcc \
	--enable-ldaps \
	--enable-ipv6 \
	--with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
	--with-gssapi=%{_prefix} \
	--disable-ares \
	--with-nghttp2=%{_prefix}

# we don't want them in curl-examples:
rm -r docs/examples/.deps

%make_build

%ifnarch %arm
# disable tests that want to connect/run sshd, which is quite impossible
%check
make test TEST_Q='-a -p -v !flaky !SCP !SFTP !SOCKS4 !SOCKS5 !TFTP !198 !2034 !1139 !1140'
%endif

%install
%make_install

# [july 2008] HACK. to be replaced by a real fix
sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_bindir}/%{name}-config
sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_libdir}/pkgconfig/*.pc

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

find %{buildroot} -name *.la -delete

%files
%{_bindir}/curl
%{_mandir}/man1/curl.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc docs/BUGS docs/KNOWN_BUGS docs/CONTRIBUTE.md docs/FAQ CHANGES
%doc docs/FEATURES docs/RESOURCES docs/TODO docs/THANKS docs/INTERNALS.md
%{_bindir}/curl-config
%{multiarch_bindir}/curl-config
%{_datadir}/aclocal/libcurl.m4
%{_libdir}/libcurl.so
%{_includedir}/curl
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/*

%files examples
%defattr(-,root,root,644)
%doc docs/examples


%changelog
* Wed Apr 19 2017 luigiwalser <luigiwalser> 1:7.54.0-1.mga6
+ Revision: 1096785
- 7.54.0 (fixes CVE-2017-7468)
- remove patch 6 (may no longer be needed)
- remove upstream CVE-2017-7407 patch

* Wed Apr 05 2017 luigiwalser <luigiwalser> 1:7.53.1-1.mga6
+ Revision: 1095934
- add upstream patch to fix CVE-2017-7407
- 7.53.1

* Wed Feb 22 2017 luigiwalser <luigiwalser> 1:7.53.0-1.mga6
+ Revision: 1087333
- 7.53.0
- rediff patch 6

* Fri Dec 23 2016 luigiwalser <luigiwalser> 1:7.52.1-1.mga6
+ Revision: 1076630
- 7.52.1

* Wed Dec 21 2016 luigiwalser <luigiwalser> 1:7.52.0-1.mga6
+ Revision: 1076294
- 7.52.0
- rediff patch 6

* Wed Nov 02 2016 luigiwalser <luigiwalser> 1:7.51.0-1.mga6
+ Revision: 1064730
- 7.51.0
- rediff patch 6

* Wed Sep 14 2016 luigiwalser <luigiwalser> 1:7.50.3-1.mga6
+ Revision: 1052886
- 7.50.3

* Wed Sep 07 2016 luigiwalser <luigiwalser> 1:7.50.2-1.mga6
+ Revision: 1050327
- 7.50.2
- rediff patch 6

* Thu Aug 04 2016 neoclust <neoclust> 1:7.50.1-2.mga6
+ Revision: 1044425
- Disable tests on arm for the moment

* Wed Aug 03 2016 luigiwalser <luigiwalser> 1:7.50.1-1.mga6
+ Revision: 1044375
- 7.50.1

* Sun Jul 31 2016 daviddavid <daviddavid> 1:7.50.0-2.mga6
+ Revision: 1044154
- add upstream patch to revert 9adf3c4 and make public types void * again
  * https://github.com/curl/curl/issues/926

* Thu Jul 21 2016 luigiwalser <luigiwalser> 1:7.50.0-1.mga6
+ Revision: 1042998
- 7.50.0

* Mon May 30 2016 luigiwalser <luigiwalser> 1:7.49.1-1.mga6
+ Revision: 1019441
- 7.49.1

* Wed May 18 2016 luigiwalser <luigiwalser> 1:7.49.0-1.mga6
+ Revision: 1016728
- rediff patch 6
- 7.49.0

* Wed Mar 23 2016 luigiwalser <luigiwalser> 1:7.48.0-1.mga6
+ Revision: 994622
- 7.48.0

* Tue Mar 15 2016 daviddavid <daviddavid> 1:7.47.1-6.mga6
+ Revision: 991020
- rename and rediff do-not-build-examples patch (since fixed autopatch)

* Wed Mar 02 2016 umeabot <umeabot> 1:7.47.1-5.mga6
+ Revision: 983179
- Rebuild for openssl

* Wed Mar 02 2016 joequant <joequant> 1:7.47.1-4.mga6
+ Revision: 983076
- rebuild with new openssl so that virtualbox doesn't fail with unknown symbol

* Thu Feb 25 2016 oden <oden> 1:7.47.1-3.mga6
+ Revision: 978876
- rebuild

* Wed Feb 24 2016 oden <oden> 1:7.47.1-2.mga6
+ Revision: 978540
- enable HTTP/2 (https://daniel.haxx.se/http2/)

* Mon Feb 08 2016 luigiwalser <luigiwalser> 1:7.47.1-1.mga6
+ Revision: 950856
- 7.47.1

* Wed Jan 27 2016 luigiwalser <luigiwalser> 1:7.47.0-1.mga6
+ Revision: 928186
- 7.47.0 (fixes CVE-2016-0755)

* Wed Dec 02 2015 luigiwalser <luigiwalser> 1:7.46.0-1.mga6
+ Revision: 907739
- 7.46.0

* Thu Nov 19 2015 luigiwalser <luigiwalser> 1:7.45.0-1.mga6
+ Revision: 904334
- 7.45.0

* Sat Aug 22 2015 tmb <tmb> 1:7.44.0-1.mga6
+ Revision: 868108
- 7.44.0
- rebuild for new gcc

* Mon Jul 06 2015 luigiwalser <luigiwalser> 1:7.43.0-2.mga6
+ Revision: 851855
- rebuild without libidn support to mitigate CVE-2015-2059

* Sat Jun 20 2015 shlomif <shlomif> 1:7.43.0-1.mga6
+ Revision: 836478
- New version 7.43.0

* Wed Jun 17 2015 luigiwalser <luigiwalser> 1:7.40.0-4.mga6
+ Revision: 823178
- add upstream patches to fix CVE-2015-3236 and CVE-2015-3237

* Wed Apr 29 2015 luigiwalser <luigiwalser> 1:7.40.0-3.mga5
+ Revision: 820853
- add upstream patch to fix CVE-2015-3153

* Wed Apr 22 2015 luigiwalser <luigiwalser> 1:7.40.0-2.mga5
+ Revision: 820538
- add upstream patches to fix CVE-2015-314[3458]

* Thu Jan 08 2015 luigiwalser <luigiwalser> 1:7.40.0-1.mga5
+ Revision: 809362
- 7.40.0 (fixes CVE-2014-8150)

* Fri Jan 02 2015 pterjan <pterjan> 1:7.39.0-2.mga5
+ Revision: 808219
- Add Fedora patch preventing configure script from discarding -g in CFLAGS

* Thu Nov 06 2014 luigiwalser <luigiwalser> 1:7.39.0-1.mga5
+ Revision: 795948
- 7.39.0
- disable unreliable test 2034

* Thu Nov 06 2014 luigiwalser <luigiwalser> 1:7.38.0-5.mga5
+ Revision: 795898
- rediff upstream patch to fix CVE-2014-3707

  + danf <danf>
    - Skip flaky tests in %%check

* Wed Oct 15 2014 umeabot <umeabot> 1:7.38.0-4.mga5
+ Revision: 745554
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1:7.38.0-3.mga5
+ Revision: 693716
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:7.38.0-2.mga5
+ Revision: 678639
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 luigiwalser <luigiwalser> 1:7.38.0-1.mga5
+ Revision: 674545
- 7.38.0

* Thu Jul 17 2014 luigiwalser <luigiwalser> 1:7.37.1-1.mga5
+ Revision: 653461
- 7.37.1

* Wed May 21 2014 luigiwalser <luigiwalser> 1:7.37.0-1.mga5
+ Revision: 624736
- 7.37.0

* Wed Mar 26 2014 luigiwalser <luigiwalser> 1:7.36.0-1.mga5
+ Revision: 608748
- 7.36.0

* Tue Feb 04 2014 fwang <fwang> 1:7.35.0-1.mga5
+ Revision: 581451
- new version 7.35.0

* Tue Dec 17 2013 luigiwalser <luigiwalser> 1:7.34.0-1.mga4
+ Revision: 558348
- 7.34.0
- remove upstream patch

* Tue Oct 22 2013 umeabot <umeabot> 1:7.33.0-2.mga4
+ Revision: 545335
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 1:7.33.0-1.mga4
+ Revision: 501156
- 7.33.0

* Mon Aug 12 2013 luigiwalser <luigiwalser> 1:7.32.0-1.mga4
+ Revision: 465943
- 7.32.0

* Sun Jun 23 2013 fwang <fwang> 1:7.31.0-1.mga4
+ Revision: 445818
- new version 7.31.0

* Fri May 24 2013 luigiwalser <luigiwalser> 1:7.30.0-1.mga4
+ Revision: 426641
- 7.30.0
- remove upstream patches 3, 7, 8, 9
- re-diff patch 4

* Fri Apr 12 2013 luigiwalser <luigiwalser> 1:7.28.1-6.mga3
+ Revision: 409817
- add upstream patch to fix CVE-2013-1944

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1:7.28.1-5.mga3
+ Revision: 394891
- add upstream patch to fix CVE-2013-0249

* Fri Jan 11 2013 umeabot <umeabot> 1:7.28.1-4.mga3
+ Revision: 348491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 sander85 <sander85> 1:7.28.1-3.mga3
+ Revision: 341227
- Comment out AC_CONFIG_MACRO_DIR to fix build

  + fwang <fwang>
    - another patch
    - fix build with automake 1.13

* Thu Dec 27 2012 pterjan <pterjan> 1:7.28.1-2.mga3
+ Revision: 335560
- Remove useless docdir entry breaking with new rpm

* Tue Nov 20 2012 fwang <fwang> 1:7.28.1-1.mga3
+ Revision: 319747
- new version 7.28.1

* Thu Oct 11 2012 luigiwalser <luigiwalser> 1:7.28.0-1.mga3
+ Revision: 304554
- 7.28.0

* Sat Jul 28 2012 fwang <fwang> 1:7.27.0-1.mga3
+ Revision: 275157
- rediff privlibs patch
- new version 7.27.0

* Mon May 28 2012 fwang <fwang> 1:7.26.0-1.mga3
+ Revision: 247663
- update file list
- add back patch
- fix patches
- new version 7.26.0
- examples is a noarch pacakge

* Thu Jan 26 2012 fwang <fwang> 1:7.24.0-1.mga2
+ Revision: 201713
- new version 7.24.0

* Fri Nov 25 2011 fwang <fwang> 1:7.23.1-2.mga2
+ Revision: 171781
- add lber libname
- drop .la files

* Fri Nov 18 2011 fwang <fwang> 1:7.23.1-1.mga2
+ Revision: 168658
- new version 7.23.1

* Wed Nov 16 2011 fwang <fwang> 1:7.23.0-1.mga2
+ Revision: 168062
- new version 7.23.0

* Wed Sep 14 2011 fwang <fwang> 1:7.22.0-1.mga2
+ Revision: 143120
- new version 7.22.0

* Wed Jul 06 2011 dams <dams> 1:7.21.7-1.mga2
+ Revision: 119481
- update to 7.21.7
- avoid pulling 32-bit librairies on 64-bit arch

* Thu Jun 09 2011 dams <dams> 1:7.21.6-1.mga2
+ Revision: 102379
- update to 7.21.6 to fix --version

* Wed Apr 20 2011 pterjan <pterjan> 1:7.21.5-1.mga1
+ Revision: 89223
- Update to 7.21.5

* Wed Apr 13 2011 tv <tv> 1:7.21.4-1.mga1
+ Revision: 84544
- new release
- drop patch 1

* Sun Jan 09 2011 blino <blino> 1:7.21.2-2.mga1
+ Revision: 3738
- remove old version checks and ldconfig scriptlets

  + kharec <kharec>
    - imported package curl

